Skip to main content
POST
/
campaigns
/
{campaignId}
/
vocabulary
Upload vocabulary entries
curl --request POST \
  --url https://api.callers.ai/campaigns/{campaignId}/vocabulary \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "vocabulary": [
    {
      "content": "<string>",
      "sounds_like": [
        "<string>"
      ]
    }
  ]
}
'
{
  "success": true,
  "totalCount": 123
}

Authorizations

Authorization
string
header
required

Headers

x-sub-organization-id
string

Optional sub organization ID. Must belong to your main organization API key.

Path Parameters

campaignId
string
required

ID of the campaign

Body

application/json
vocabulary
object[]
required
Required array length: 1 - 1000 elements

Response

Vocabulary entries uploaded successfully

success
boolean
totalCount
number